Name:          pipewire
Version:       0.2.7
Release:       1mamba
Summary:       Multimedia processing graphs
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pipewire.org
## GITSOURCE https://github.com/PipeWire/pipewire.git 0.2.6
Source:        https://github.com/PipeWire/pipewire.git/%{version}/pipewire-%{version}.tar.bz2
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libdbus-devel
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libsbc-devel
BuildRequires: libsystemd-devel
BuildRequires: libudev-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Multimedia processing graphs.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

#%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
#-f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/pipewire/pipewire.conf
%{_bindir}/pipewire
%{_bindir}/pipewire-cli
%{_bindir}/pipewire-monitor
%{_bindir}/spa-inspect
%{_bindir}/spa-monitor
%{_userunitdir}/pipewire.service
%{_userunitdir}/pipewire.socket

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libpipewire-0.2.so.*
%dir %{_libdir}/pipewire-0.2
%{_libdir}/pipewire-0.2/libpipewire-module-*.so
%{_libdir}/gstreamer-1.0/libgstpipewire.so
%dir %{_libdir}/spa
%{_libdir}/spa/*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/pipewire
%{_includedir}/pipewire/*
%dir %{_includedir}/spa
%{_includedir}/spa/*
%{_libdir}/libpipewire-0.2.so
%{_libdir}/pkgconfig/libpipewire-0.2.pc
%{_libdir}/pkgconfig/libspa-0.1.pc
%doc NEWS README

%changelog
* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 0.2.7-1mamba
- automatic version update by autodist

* Sat Jul 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-1mamba
- package created using the webbuild interface
